isapnp.h File Reference

Go to the source code of this file.

## Macros

#define | ISAPNP_ADDR_PORT 0x279
#define | ISAPNP_DATA_PORT 0xa79
#define | RES_PNP_VERSION 0x01
#define | RES_LOG_DEV_ID 0x02
#define | RES_COMPAT_DEV_ID 0x03
#define | RES_IRQ 0x04
#define | RES_DMA 0x05
#define | RES_START_DEP 0x06
#define | RES_END_DEP 0x07
#define | RES_IO 0x08
#define | RES_FIXED_IO 0x09
#define | RES_VENDOR_SMALL 0x0e
#define | RES_END 0x0f
#define | RES_MEM_RANGE 0x81
#define | RES_ANSI_NAME 0x82
#define | RES_UNICODE_NAME 0x83
#define | RES_VENDOR_LARGE 0x84
#define | RES_MEM32_RANGE 0x85
#define | RES_FIXED_MEM32_RANGE 0x86
#define | CFG_MEM24 0x40
#define | CFG_MEM32_0 0x76
#define | CFG_MEM32_1 0x80
#define | CFG_MEM32_2 0x90
#define | CFG_MEM32_3 0xa0
#define | CFG_IO_HI_BASE 0x60
#define | CFG_IO_LO_BASE 0x61
#define | CFG_IRQ 0x70
#define | CFG_IRQ_TYPE 0x71
#define | CFG_DMA 0x74

## Functions

void | hd_scan_isapnp (hd_data_t *hd_data)
int | pnpdump (hd_data_t *hd_data, int read_boards)
unsigned char * | add_isapnp_card_res (isapnp_card_t *, int, int)
isapnp_card_t * | add_isapnp_card (isapnp_t *, int)

## Macro Definition Documentation

## CFG_DMA

#define CFG_DMA 0x74

## CFG_IO_HI_BASE

#define CFG_IO_HI_BASE 0x60

## CFG_IO_LO_BASE

#define CFG_IO_LO_BASE 0x61

## CFG_IRQ

#define CFG_IRQ 0x70

## CFG_IRQ_TYPE

#define CFG_IRQ_TYPE 0x71

## CFG_MEM24

#define CFG_MEM24 0x40

## CFG_MEM32_0

#define CFG_MEM32_0 0x76

## CFG_MEM32_1

#define CFG_MEM32_1 0x80

## CFG_MEM32_2

#define CFG_MEM32_2 0x90

## CFG_MEM32_3

#define CFG_MEM32_3 0xa0

## ISAPNP_ADDR_PORT

#define ISAPNP_ADDR_PORT 0x279

## ISAPNP_DATA_PORT

#define ISAPNP_DATA_PORT 0xa79

## RES_ANSI_NAME

#define RES_ANSI_NAME 0x82

## RES_COMPAT_DEV_ID

#define RES_COMPAT_DEV_ID 0x03

## RES_DMA

#define RES_DMA 0x05

## RES_END

#define RES_END 0x0f

## RES_END_DEP

#define RES_END_DEP 0x07

## RES_FIXED_IO

#define RES_FIXED_IO 0x09

## RES_FIXED_MEM32_RANGE

#define RES_FIXED_MEM32_RANGE 0x86

## RES_IO

#define RES_IO 0x08

## RES_IRQ

#define RES_IRQ 0x04

## RES_LOG_DEV_ID

#define RES_LOG_DEV_ID 0x02

## RES_MEM32_RANGE

#define RES_MEM32_RANGE 0x85

## RES_MEM_RANGE

#define RES_MEM_RANGE 0x81

## RES_PNP_VERSION

#define RES_PNP_VERSION 0x01

## RES_START_DEP

#define RES_START_DEP 0x06

## RES_UNICODE_NAME

#define RES_UNICODE_NAME 0x83

## RES_VENDOR_LARGE

#define RES_VENDOR_LARGE 0x84

## RES_VENDOR_SMALL

#define RES_VENDOR_SMALL 0x0e

## Function Documentation

## add_isapnp_card()

isapnp_card_t * add_isapnp_card | ( | isapnp_t * | ,
|  | int | )

## add_isapnp_card_res()

unsigned char * add_isapnp_card_res | ( | isapnp_card_t * | ,
|  | int | ,
|  | int | )

## hd_scan_isapnp()

void hd_scan_isapnp | ( | hd_data_t * | hd_data | ) |

References hd_data.

Referenced by hd_scan_no_hal().

## pnpdump()

int pnpdump | ( | hd_data_t * | hd_data,
|  | int | read_boards )

References hd_data.